# Modify Data

<table data-full-width="true"><thead><tr><th width="386.1845703125">API</th><th>Description</th></tr></thead><tbody><tr><td><strong>POST /api/modifyThreatActorStatus</strong></td><td>Update the status of a threat actor (e.g., mark as active, inactive, or mitigated).</td></tr><tr><td><strong>POST /api/saveFilterYamlTemplate</strong></td><td>Save a custom filter YAML template for reuse in threat or issue analysis.</td></tr></tbody></table>

## POST /api/modifyThreatActorStatus

> api/modifyThreatActorStatus

```json
{"openapi":"3.0.1","info":{"title":"Protection","version":"1.0.0"},"servers":[{"url":"https://app.akto.io","description":"Akto API Server"}],"paths":{"/api/modifyThreatActorStatus":{"post":{"summary":"api/modifyThreatActorStatus","operationId":"https://app.akto.io/api/modifyThreatActorStatus-POST","parameters":[{"name":"x-api-key","in":"header","required":true,"schema":{"type":"string"},"description":"You can get this from Settings > Integrations > Akto APIs > Generate token"}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"actorIp":{"type":"string","types":["string"]},"status":{"type":"string","types":["string"]}},"types":["object"],"required":["actorIp","status"]}}}},"responses":{"200":{"description":"description","headers":{"date":{"schema":{"type":"string","types":["string"]}},"content-length":{"schema":{"type":"integer","format":"int32","types":["integer"]}},"vary":{"schema":{"type":"string","types":["string"]}},"via":{"schema":{"type":"string","types":["string"]}},"access-control-allow-origin":{"schema":{"type":"string","types":["string"]}},"access-control-allow-credentials":{"schema":{"type":"string","types":["string"]}},"content-type":{"schema":{"type":"string","types":["string"]}},"alt-svc":{"schema":{"type":"string","types":["string"]}},"cache-control":{"schema":{"type":"string","types":["string"]}},"content-language":{"schema":{"type":"string","types":["string"]}}},"content":{"application/json":{"schema":{"type":"object","properties":{"country":{"type":"string","types":["string"]},"splunkUrl":{"type":"string","types":["string"]},"startTs":{"type":"integer","format":"int32","types":["integer"]},"skip":{"type":"integer","format":"int32","types":["integer"]},"eventType":{"type":"string","types":["string"]},"splunkToken":{"type":"string","types":["string"]},"sort":{"type":"string","types":["string"]},"actorsCountPerCounty":{"type":"string","types":["string"]},"actorsCountPerCountry":{"type":"string","types":["string"]},"actor":{"type":"string","types":["string"]},"filterId":{"type":"string","types":["string"]},"latestAttack":{"type":"string","types":["string"]},"actors":{"type":"string","types":["string"]},"total":{"type":"integer","format":"int32","types":["integer"]},"actorId":{"type":"string","types":["string"]},"endTs":{"type":"integer","format":"int32","types":["integer"]},"maliciousPayloadsResponses":{"type":"string","types":["string"]},"refId":{"type":"string","types":["string"]},"actorIp":{"type":"string","types":["string"]},"status":{"type":"string","types":["string"]}},"types":["object"]}}}}}}}}}
```

## POST /api/saveFilterYamlTemplate

> api/saveFilterYamlTemplate

```json
{"openapi":"3.0.1","info":{"title":"Protection","version":"1.0.0"},"servers":[{"url":"https://app.akto.io","description":"Akto API Server"}],"paths":{"/api/saveFilterYamlTemplate":{"post":{"summary":"api/saveFilterYamlTemplate","operationId":"https://app.akto.io/api/saveFilterYamlTemplate-POST","parameters":[{"name":"x-api-key","in":"header","required":true,"schema":{"type":"string"},"description":"You can get this from Settings > Integrations > Akto APIs > Generate token"}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"content":{"type":"string","types":["string"]}},"types":["object"],"required":["content"]}}}},"responses":{"200":{"description":"description","headers":{"date":{"schema":{"type":"string","types":["string"]}},"content-length":{"schema":{"type":"integer","format":"int32","types":["integer"]}},"vary":{"schema":{"type":"string","types":["string"]}},"via":{"schema":{"type":"string","types":["string"]}},"access-control-allow-origin":{"schema":{"type":"string","types":["string"]}},"access-control-allow-credentials":{"schema":{"type":"string","types":["string"]}},"content-type":{"schema":{"type":"string","types":["string"]}},"alt-svc":{"schema":{"type":"string","types":["string"]}},"cache-control":{"schema":{"type":"string","types":["string"]}},"content-language":{"schema":{"type":"string","types":["string"]}}},"content":{"application/json":{"schema":{"type":"object","properties":{"templates":{"type":"string","types":["string"]},"content":{"type":"string","types":["string"]}},"types":["object"]}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.akto.io/api-reference/threat-protection/modify-data.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
